<script lang="ts" setup>
import { Todo } from '~~/entities';
const {todo} = defineProps<{
  todo: Todo
}>();

const emit = defineEmits({
  delete(todo:Todo){}
});
</script>

<template>
  <div class="card">
  <header class="card-header">
    <p class="card-header-title">
      {{todo.task}}
    </p>
    <button class="card-header-icon" aria-label="delete" @click="emit('delete', todo)">
      x
    </button>
  </header>
</div>
</template>

<style scoped>
</style>
